ECHO OFF
CLS

CheLingu
IF ErrorLevel 2 GOTO Inglese

:Italiano
CLS
IF NOT EXIST MMINSTAL.EXE GOTO NoDisk1

NumParam %1 %2 %3 %4 %5 %6 %7 %8 %9
IF ErrorLevel 3 GOTO numDiver
IF ErrorLevel 2 GOTO ok
IF ErrorLevel 1 GOTO numDiver
IF ErrorLevel 0 GOTO preIniNH
GOTO numDiver

:ok
IF %1==A GOTO cont1
IF %1==a GOTO cont1
IF %1==B GOTO cont1
IF %1==b GOTO cont1
GOTO error1
:cont1
IF %2==C GOTO cont2
IF %2==c GOTO cont2
IF %2==D GOTO cont2
IF %2==d GOTO cont2
GOTO error2
:cont2

Spazio %2 1600
IF ErrorLevel 7 GOTO nonValid
IF ErrorLevel 6 GOTO noSpazio
IF ErrorLevel 1 GOTO nonValid

%1:
:inizio
%1:MMInstal I Hard %2
IF ErrorLevel 10 GOTO fine
IF ErrorLevel 8 GOTO copia
IF ErrorLevel 7 GOTO eseguiAd
IF ErrorLevel 6 GOTO esegui
GOTO inizio

:preIniNH
ECHO Digitando INSTALL senza parametri (come hai appena fatto)
ECHO Puoi cambiare configurazione al gioco
ECHO Se invece vuoi installarlo su Hard Disk
ECHO Devi digitare INSTALL d1 d2
ECHO Dove d1 Š il drive sorgente
ECHO e d2 Š il drive destinazione.
WriteAt 1 8 Premi_Esc_per_interrompere_o_un_altro_tasto_per_continuare 7 0 +
IF ErrorLevel 28 GOTO iniNH
IF ErrorLevel 27 GOTO fine2

:iniNH
MMInstal I NoHard Dummy
IF ErrorLevel 10 GOTO fine
IF ErrorLevel 7 GOTO esegNHad
IF ErrorLevel 6 GOTO eseguiNH
GOTO iniNH

:esegui
%1:MM1
IF ErrorLevel 1 GOTO fine2
GOTO inizio

:eseguiNH
MM1
IF ErrorLevel 1 GOTO fine2
GOTO iniNH

:eseguiAd
%1:Guarda65
IF ErrorLevel 2 GOTO CeSound
IF ErrorLevel 1 GOTO salta
%1:Midi3Drv
:salta
%1:MM1
IF ErrorLevel 1 GOTO fine2
GOTO inizio

:esegNHad
Guarda65
IF ErrorLevel 2 GOTO CeSound
IF ErrorLevel 1 GOTO salta1
Midi3Drv
:salta1
MM1
IF ErrorLevel 1 GOTO fine2
GOTO iniNH

:copia
:cerca1
%1:WriteAt 3 17 Inserire_il_disco_1____ 14 3
%1:WriteAt 3 18 Premere_un_tasto_quando_pronto 14 3 *
IF NOT EXIST %1:\MM1.EXE GOTO cerca1
%1:WriteAt 3 17 Sto_copiando_il_disco_1 14 3
%1:WriteAt 3 18 ______________________________ 14 3
COPY %1:*.* %2: >NUL
:cerca2
WriteAt 3 17 Inserire_il_disco_2____ 14 3
WriteAt 3 18 Premere_un_tasto_quando_pronto 14 3 *
IF NOT EXIST %1:\BSPR.POS GOTO cerca2
WriteAt 3 17 Sto_copiando_il_disco_2 14 3
WriteAt 3 18 ______________________________ 14 3
COPY %1:*.* %2: >NUL
:cerca3
WriteAt 3 17 Inserire_il_disco_3____ 14 3
WriteAt 3 18 Premere_un_tasto_quando_pronto 14 3 *
IF NOT EXIST %1:\VEBS.POS GOTO cerca3
WriteAt 3 17 Sto_copiando_il_disco_3 14 3
WriteAt 3 18 ______________________________ 14 3
COPY %1:*.* %2: >NUL
WriteAt 3 17 Installazione_su_Hard_Disk_terminata 14 3
WriteAt 3 18 Se_in_futuro_vorrai_cambiare_la_configurazione_del_gioco 14 3
WriteAt 3 19 senza_doverlo_reinstallare_da_capo 14 3
WriteAt 3 20 usa_INSTALL_senza_parametri 14 3
WriteAt 3 21 Premere_un_tasto_quando_pronto 14 3 *
%2:
GOTO iniNH

:error1
ECHO Primo parametro errato
ECHO Deve essere A oppure B NON seguito da :
GOTO fine2

:error2
ECHO Secondo parametro errato
ECHO Deve essere C oppure D NON seguito da :
GOTO fine2

:noSpazio
CLS
ECHO Spazio insufficiente per installare il gioco
ECHO sul disco destinazione
ECHO Servono almeno 1.600 Kb liberi
GOTO fine2

:nonValid
ECHO Drive destinazione non valido
GOTO fine2

:numDiver
ECHO Numero parametri non valido
ECHO Per cambiare configurazione al gioco
ECHO Digitare INSTALL senza parametri.
ECHO Per installare il gioco su Hard Disk
ECHO Digitare INSTALL d1 d2.
ECHO Dove d1 Š il drive sorgente
ECHO e d2 Š il drive destinazione
ECHO Esempi:
ECHO  INSTALL A C
ECHO  INSTALL B C
ECHO  INSTALL A D
ECHO  INSTALL
GOTO fine2

:NoDisk1
ECHO Il comando INSTALL pu• essere usato
ECHO solo inserendo il disco 1
ECHO e questo non Š il disco 1
GOTO fine2

:CeSound
ECHO Errore, il driver Sound NON deve essere caricato
GOTO fine2

:Inglese
CLS
IF NOT EXIST MMINSTAL.EXE GOTO NoDisk1E

NumParam %1 %2 %3 %4 %5 %6 %7 %8 %9
IF ErrorLevel 3 GOTO numDiveE
IF ErrorLevel 2 GOTO okE
IF ErrorLevel 1 GOTO numDiveE
IF ErrorLevel 0 GOTO preInNHE
GOTO numDiveE

:okE
IF %1==A GOTO cont1E
IF %1==a GOTO cont1E
IF %1==B GOTO cont1E
IF %1==b GOTO cont1E
GOTO error1E
:cont1E
IF %2==C GOTO cont2E
IF %2==c GOTO cont2E
IF %2==D GOTO cont2E
IF %2==d GOTO cont2E
GOTO error2E
:cont2E

Spazio %2 1600
IF ErrorLevel 7 GOTO nonValiE
IF ErrorLevel 6 GOTO noSpaziE
IF ErrorLevel 1 GOTO nonValiE

%1:
:inizioE
%1:MMInstal E Hard %2
IF ErrorLevel 10 GOTO fine
IF ErrorLevel 8 GOTO copiaE
IF ErrorLevel 7 GOTO eseguAdE
IF ErrorLevel 6 GOTO eseguiE
GOTO inizioE

:preInNHE
ECHO By typing INSTALL only (as you've just done)
ECHO you can change the game's configuration.
ECHO If you want to install the game on hard disk
ECHO you must type INSTALL d1 d2
ECHO where d1 is the source drive
ECHO and d2 is the destination drive.
WriteAt 1 8 Press_ESC_to_exit_or_another_key_to_continue 7 0 +
IF ErrorLevel 28 GOTO iniNHE
IF ErrorLevel 27 GOTO fine2

:iniNHE
MMInstal E NoHard Dummy
IF ErrorLevel 10 GOTO fine
IF ErrorLevel 7 GOTO eseNHadE
IF ErrorLevel 6 GOTO eseguNHE
GOTO iniNHE

:eseguiE
%1:MM1
IF ErrorLevel 1 GOTO fine2
GOTO inizioE

:eseguNHE
MM1
IF ErrorLevel 1 GOTO fine2
GOTO iniNHE

:eseguAdE
%1:Guarda65
IF ErrorLevel 2 GOTO CeSoundE
IF ErrorLevel 1 GOTO saltaE
%1:Midi3Drv
:saltaE
%1:MM1
IF ErrorLevel 1 GOTO fine2
GOTO inizioE

:eseNHadE
Guarda65
IF ErrorLevel 2 GOTO CeSoundE
IF ErrorLevel 1 GOTO saltaE2
Midi3Drv
:saltaE2
MM1
IF ErrorLevel 1 GOTO fine2
GOTO iniNHE

:copiaE
:cerca1E
%1:WriteAt 3 17 Insert_disk_1______ 14 3
%1:WriteAt 3 18 Press_any_key_when_ready 14 3 *
IF NOT EXIST %1:\MM1.EXE GOTO cerca1E
%1:WriteAt 3 17 Disk_1_being_copied 14 3
%1:WriteAt 3 18 ________________________ 14 3
COPY %1:*.* %2: >NUL
:cerca2E
WriteAt 3 17 Insert_disk_2______ 14 3
WriteAt 3 18 Press_any_key_when_ready 14 3 *
IF NOT EXIST %1:\BSPR.POS GOTO cerca2E
WriteAt 3 17 Disk_2_being_copied 14 3
WriteAt 3 18 ________________________ 14 3
COPY %1:*.* %2: >NUL
:cerca3E
WriteAt 3 17 Insert_disk_3______ 14 3
WriteAt 3 18 Press_any_key_when_ready 14 3 *
IF NOT EXIST %1:\VEBS.POS GOTO cerca3E
WriteAt 3 17 Disk_3_being_copied 14 3
WriteAt 3 18 ________________________ 14 3
COPY %1:*.* %2: >NUL
WriteAt 3 17 Hard_Disk_installation_terminated 14 3
WriteAt 3 18 If_you_want_to_change_the_game's_configuration 14 3
WriteAt 3 19 without_having_to_re-install_it, 14 3
WriteAt 3 20 type_INSTALL_only 14 3
WriteAt 3 21 Press_any_key_when_ready 14 3 *
%2:
GOTO iniNHE

:error1E
ECHO Error in first parameter
ECHO It should be A or B without :
GOTO fine2

:error2E
ECHO Error in second parameter
ECHO It should be C or D without :
GOTO fine2

:noSpaziE
CLS
ECHO Space insufficient to install game
ECHO on desyination drive
ECHO You need at least free 1600 Kbytes
GOTO fine2

:nonValiE
ECHO Destination drive not valid
GOTO fine2

:numDiveE
ECHO Number of parameters not valid
ECHO To change the game's configuration,
ECHO type INSTALL only.
ECHO To install the game on Hard Disk
ECHO type INSTALL d1 d2,
ECHO where d1 is the source drive
ECHO and d2 is the destination drive.
ECHO Examples:
ECHO  INSTALL A C
ECHO  INSTALL B C
ECHO  INSTALL
GOTO fine2

:NoDisk1E
ECHO You can use the command INSTALL
ECHO only if you insert disk 1
ECHO and this is not disk 1
GOTO fine2

:CeSoundE
ECHO Error, do NOT load Sound driver
GOTO fine2

:fine
CLS
:fine2
WriteAt 2 20 _ 7 0